<?php

require_once '../app/model/db.class.php';

if ($_REQUEST['accion']=='periodos'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from periodos");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Trimestre - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}


//--------------------------------------


if ($_REQUEST['accion']=='grados'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select codigo, descripcion from grados order by orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grado - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------


if ($_REQUEST['accion']=='grupos'){

    $grado=$_REQUEST['grado'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select codigo,descripcion,jornada from cursos where cursos.grado='".$grado."'");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grupo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['codigo']." - ".$row['descripcion']."    Jornada: ".$row['jornada'].'</option>';
         }

         echo $opciones;
    }

}


//--------------------------------------


if ($_REQUEST['accion']=='activar_alumno'){

    $codigo=$_REQUEST['codigo'];
    $periodo=$_REQUEST['periodo'];
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }


    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    if ($periodo=='1'){
        $obj->consulta("UPDATE matriculas SET p1='".$estado."' where codigo='".$codigo."'");
    }

    if ($periodo=='2'){
        $obj->consulta("UPDATE matriculas SET p2='".$estado."' where codigo='".$codigo."'");
    }

    if ($periodo=='3'){
        $obj->consulta("UPDATE matriculas SET p3='".$estado."' where codigo='".$codigo."'");
    }

    if ($periodo=='4'){
        $obj->consulta("UPDATE matriculas SET p4='".$estado."' where codigo='".$codigo."'");
    }

    if ($periodo=='5'){
        $obj->consulta("UPDATE matriculas SET p5='".$estado."' where codigo='".$codigo."'");
    }

    $obj->disconnect();

}

//--------------------------------------


if ($_REQUEST['accion']=='listado_alumnos'){
    
    $periodo=$_REQUEST['periodo'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];



    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


    $resultado=$obj->consulta("select matriculas.codigo,matriculas.p".$periodo.", CONCAT(alumnos.p_apellido,' ',alumnos.s_apellido,' ',alumnos.p_nombre,' ',alumnos.s_nombre) as nombres, matriculas.grado, matriculas.curso, matriculas.estado
                from alumnos inner join matriculas on alumnos.codigo = matriculas.codigo
                where matriculas.grado='".$grado."' and matriculas.curso='".$curso."' and matriculas.estado='A' order by nombres");


    $n=$obj->numero_de_filas($resultado);
    $s='';

    $i=1;
    if ($n!=0){

    $s="<br><div><input type='checkbox' id ='casilla1' onclick='marcar1(this);' /> Marcar/Desmarcar Alumnos";

    $s.="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>CODIGO</b></td>  <td><b>APELLIDOS Y NOMBRES</b></td> <td><b>ACTIVAR</b></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($resultado)){

        if ($periodo=='1'){
            $per=$row['p1'];
        }
        if ($periodo=='2'){
            $per=$row['p2'];
        }
        if ($periodo=='3'){
            $per=$row['p3'];
        }
        if ($periodo=='4'){
            $per=$row['p4'];
        }
        if ($periodo=='5'){
            $per=$row['p5'];
        }

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 14px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 14px' width='5%'>".$row['codigo']."</td>";
        $s.="<td width='35%' style='font-size: 14px'> &nbsp;".$row['nombres']."</td>";
        
        if ($per=='0'){
            $s.="<td width='5%' align='center'><input id='".$row['codigo']."' type='checkbox' onclick='activar_alumno(".$row['codigo'].")'/></td>";
        }

        if ($per=='1'){
            $s.="<td width='5%' align='center'><input id='".$row['codigo']."' type='checkbox' checked onclick='activar_alumno(".$row['codigo'].")'/></td>";
        }

        $s.="</tr>";
        $i++;
   }

    $s.="</table></div>";

   echo $s;

   }

   $obj->disconnect();

}

//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar_alumnos'){

    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $periodo=$_REQUEST['periodo'];
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    if ($periodo=='1'){
        $obj->consulta("UPDATE matriculas SET p1='".$estado."' where grado='".$grado."' and curso='".$curso."' and estado='A'");
    }

    if ($periodo=='2'){
        $obj->consulta("UPDATE matriculas SET p2='".$estado."' where grado='".$grado."' and curso='".$curso."' and estado='A'");
    }

    if ($periodo=='3'){
        $obj->consulta("UPDATE matriculas SET p3='".$estado."' where grado='".$grado."' and curso='".$curso."' and estado='A'");
    }

    if ($periodo=='4'){
        $obj->consulta("UPDATE matriculas SET p4='".$estado."' where grado='".$grado."' and curso='".$curso."' and estado='A'");
    }

    if ($periodo=='5'){
        $obj->consulta("UPDATE matriculas SET p5='".$estado."' where grado='".$grado."' and curso='".$curso."' and estado='A'");
    }


    $obj->disconnect();

}


//--------------------------------------

if ($_REQUEST['accion']=='titularidad'){

    $docente=$_POST['docente'];
    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query = $obj->consulta("select * from titulares where profesor='".$docente."'");

     if($obj->numero_de_filas($query) > 0) {// existe -> datos correctos

        $row = $obj->fetch_assoc($query);

        echo $row['grado']."-".$row['curso'];

     }
     else{
         echo "1";
     }

     $obj->disconnect();

}

//--------------------------------------

if ($_REQUEST['accion']=='verificar_descarga'){

    $periodo=$_REQUEST['periodo'];     
    
    session_start();
    $codigo=$_SESSION['cod_alumno'];


    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query = $obj->consulta("select p".$periodo." from matriculas where codigo='".$codigo."'");


     if($obj->numero_de_filas($query) > 0) {// existe -> datos correctos

        $row = $obj->fetch_assoc($query);

        if ($periodo=='1'){
            $per=$row['p1'];
        }
        if ($periodo=='2'){
            $per=$row['p2'];
        }
        if ($periodo=='3'){
            $per=$row['p3'];
        }
        if ($periodo=='4'){
            $per=$row['p4'];
        }
        if ($periodo=='5'){
            $per=$row['p5'];
        }


        if ($per=='0')
            echo "NO";
        elseif ($per=='1')
            echo "SI";

     }

     $obj->disconnect();

}


?>
